> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/getaccountweeklyvolume.md).

# GET /account/weekly-volume

Returns the account's weekly trading volume and multiplier tier for LP NFT distribution.

`GET https://api.aevo.xyz/account/weekly-volume`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/account/weekly-volume \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Weekly volume and multiplier tier.

| Field           | Type   | Required | Description                                            |
| --------------- | ------ | -------- | ------------------------------------------------------ |
| `weekly_volume` | string | Yes      | Weekly trading volume in USD Example: `1234567.89`     |
| `multiplier`    | string | Yes      | Volume multiplier for LP NFT distribution Example: `2` |
| `tier`          | string | Yes      | Volume tier for LP NFT distribution (1-4) Example: `2` |
| `week_start`    | string | Yes      | Start of the week Example: `1680249600000000000`       |
| `week_end`      | string | Yes      | End of the week Example: `1680249600000000000`         |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
